Attribute VB_Name = "interrupt"
Global saveArray As INTEGER_ARRAY_16
Global receiveInterrupt As Integer


Sub interruptRoutine(ByVal deviceHandle As Long, _
                     ByVal fifoOverflow As Byte, _
                     ByVal interruptSource As Long, _
                     ByVal interruptMask As Long, _
                     inputValues As INTEGER_ARRAY_16, _
                     ByVal channelNumber As Long)
Dim i As Long
    If (fifoOverflow = 1) Then
        i_Return = MsgBox("Error: interrupt FIFO overflow. That means that your software do not handle the interrupts fast enough.\n", 32, "ERROR")
    End If
    
    If (interruptSource <> 1) Then
        i_Return = MsgBox("Interrupt received doesn't come from analog input.\n", 32, "ERROR")
        Exit Sub
    End If
    If (interruptMask <> 2) Then
        i_Return = MsgBox("Interrupt received doesn't come from a read more analog input aquisition.\n", 32, "ERROR")
        Exit Sub
    End If
    
    For i = 0 To channelNumber - 1
        saveArray.i_Value(i) = inputValues.i_Value(i)
    Next
    channelNumber = 0

    receiveInterrupt = 1
End Sub
