Attribute VB_Name = "PCIe3021"

Declare Function i_PCIe3021_GetNumberOfBoards Lib "PCIe3021_VB6.DLL" (ByRef nbOfBoards As Byte) As Integer

Declare Function i_PCIe3021_GetBoardInformation Lib "PCIe3021_VB6.DLL" ( _
    ByVal boardIndex As Byte, _
    ByVal identifierStringSize As Long, _
    ByVal identifier As String, _
    ByRef uiNumber As Long, _
    ByRef deviceNumber As Long, _
    ByRef busNumber As Long, _
    ByRef baseAddress0 As Long, _
    ByRef baseAddress1 As Long, _
    ByRef baseAddress2 As Long, _
    ByRef baseAddress3 As Long, _
    ByRef interrupt As Byte) As Integer
                                                                    
Declare Function i_PCIe3021_GetDeviceDriverVersion Lib "PCIe3021_VB6.DLL" ( _
    ByVal deviceHandle As Long, _
    ByRef deviceDriverVersion As Long) As Integer

Declare Function i_PCIe3021_OpenBoardViaIndex Lib "PCIe3021_VB6.DLL" ( _
    ByVal boardIndex As Byte, _
    ByRef deviceHandle As Long) As Integer

Declare Function i_PCIe3021_OpenBoardViaIdentifier Lib "PCIe3021_VB6.DLL" ( _
    ByVal id As String, _
    ByRef deviceHandle As Long) As Integer

Declare Function i_PCIe3021_CloseBoard Lib "PCIe3021_VB6.DLL" (ByVal deviceHandle As Long) As Integer

Declare Function i_PCIe3021_GetAnalogInputChannelsNbr Lib "PCIe3021_VB6.DLL" ( _
    ByVal deviceHandle As Long, _
    ByRef numberOfChannels As Byte) As Integer

Declare Function i_PCIe3021_Read1AnalogInput Lib "PCIe3021_VB6.DLL" ( _
    ByVal deviceHandle As Long, _
    ByVal channel As Byte, _
    ByVal gain As Byte, _
    ByVal polarity As Byte, _
    ByVal convertionTime As Long, _
    ByVal interruptFlag As Byte, _
    ByVal softTriggerMode As Byte, _
    ByVal extTriggerMode As Byte, _
    ByRef channelValue As Long) As Integer

Declare Function i_PCIe3021_ReadMoreAnalogInputs Lib "PCIe3021_VB6.DLL" ( _
    ByVal deviceHandle As Long, _
    ByVal channelNumber As Byte, _
    channels As BYTE_ARRAY_16, _
    gains As BYTE_ARRAY_16, _
    polarities As BYTE_ARRAY_16, _
    ByVal convertionTime As Long, _
    ByVal interruptFlag As Byte, _
    ByVal softTriggerMode As Byte, _
    ByVal extTriggerMode As Byte, _
    channelValues As INTEGER_ARRAY_16) As Integer

Declare Function i_PCIe3021_SetAnalogInputMode Lib "PCIe3021_VB6.DLL" ( _
    ByVal deviceHandle As Long, _
    ByVal inputMode As Byte) As Integer

Declare Function i_PCIe3021_SetBoardIntRoutine Lib "PCIe3021_VB6.DLL" ( _
    ByVal deviceHandle As Long, _
    ByVal routineFunctionName As Long) As Integer

Declare Function i_PCIe3021_ResetBoardIntRoutine Lib "PCIe3021_VB6.DLL" (ByVal deviceHandle As Long) As Integer

Declare Function i_PCIe3021_InitAndStartAnalogInputSequence Lib "PCIe3021_VB6.DLL" ( _
    ByVal deviceHandle As Long, _
    ByVal sequenceCount As Long, _
    ByVal sequenceBeforeInterrupt As Long, _
    ByVal channelNumber As Byte, _
    channels As BYTE_ARRAY_16, _
    gains As BYTE_ARRAY_16, _
    polarities As BYTE_ARRAY_16, _
    ByVal convertionTime As Long, _
    ByVal delayTime As Long, _
    ByVal softTriggerMode As Byte, _
    ByVal extTriggerMode As Byte, _
    ByVal sequenceTriggerCount As Long) As Integer
                                                                                
Declare Function i_PCIe3021_StopAnalogAcquisition Lib "PCIe3021_VB6.DLL" (ByVal deviceHandle As Long) As Integer

Declare Function l_PCIe3021_ReadSequenceData Lib "PCIe3021_VB6.DLL" ( _
    ByVal deviceHandle As Long, _
    ByVal dataSize As Long, _
    ByRef data As INTEGER_ARRAY_256) As Long
                                                                 
Declare Function i_PCIe3021_TriggerAnalogAcquisition Lib "PCIe3021_VB6.DLL" (ByVal deviceHandle As Long) As Integer

Declare Function i_PCIe3021_InitAndStartAutoRefreshAcquisition Lib "PCIe3021_VB6.DLL" ( _
    ByVal deviceHandle As Long, _
    ByVal channelNumber As Byte, _
    channels As BYTE_ARRAY_16, _
    gains As BYTE_ARRAY_16, _
    polarities As BYTE_ARRAY_16, _
    ByVal convertionTime As Long, _
    ByRef values As Long) As Integer

Declare Function i_PCIe3021_Read1DigitalInput Lib "PCIe3021_VB6.DLL" ( _
    ByVal deviceHandle As Long, _
    ByVal channel As Byte, _
    ByRef value As Byte) As Byte

Declare Function i_PCIe3021_Read4DigitalInputs Lib "PCIe3021_VB6.DLL" ( _
    ByVal deviceHandle As Long, _
    ByRef values As Byte) As Byte

Declare Function i_PCIe3021_Get4DigitalOutputsStatus Lib "PCIe3021_VB6.DLL" ( _
    ByVal deviceHandle As Long, _
    ByRef outputStatus As Byte) As Byte

Declare Function i_PCIe3021_SetDigitalOutputMemoryOff Lib "PCIe3021_VB6.DLL" (ByVal deviceHandle As Long) As Byte

Declare Function i_PCIe3021_SetDigitalOutputMemoryOn Lib "PCIe3021_VB6.DLL" (ByVal deviceHandle As Long) As Byte

Declare Function i_PCIe3021_Set1DigitalOutputOff Lib "PCIe3021_VB6.DLL" ( _
    ByVal deviceHandle As Long, _
    ByVal channelChoice As Byte) As Integer

Declare Function i_PCIe3021_Set1DigitalOutputOn Lib "PCIe3021_VB6.DLL" ( _
    ByVal deviceHandle As Long, _
    ByVal channelChoice As Byte) As Integer

Declare Function i_PCIe3021_Set4DigitalOutputsOff Lib "PCIe3021_VB6.DLL" ( _
    ByVal deviceHandle As Long, _
    ByVal mask As Byte) As Byte

Declare Function i_PCIe3021_Set4DigitalOutputsOn Lib "PCIe3021_VB6.DLL" ( _
    ByVal deviceHandle As Long, _
    ByVal mask As Byte) As Byte
                                                            
Declare Function i_PCIe3021_InitAndStartTimer Lib "PCIe3021_VB6.DLL" ( _
    ByVal deviceHandle As Long, _
    ByVal timerMode As Byte, _
    ByVal timeBase As Byte, _
    ByVal outputMode As Byte, _
    ByVal interruptEnabled As Byte, _
    ByVal reloadValue As Integer) As Integer

Declare Function i_PCIe3021_ReadTimerStatus Lib "PCIe3021_VB6.DLL" ( _
    ByVal deviceHandle As Long, _
    ByRef timerStatus As Byte, _
    ByRef triggerStatus As Byte, _
    ByRef timerValue As Integer) As Integer

Declare Function i_PCIe3021_StopTimer Lib "PCIe3021_VB6.DLL" (ByVal deviceHandle As Long) As Integer

Declare Function i_PCIe3021_TriggerTimer Lib "PCIe3021_VB6.DLL" (ByVal deviceHandle As Long) As Integer

Declare Sub CopyMemory Lib "kernel32" Alias "RtlMoveMemory" ( _
    Destination As Any, _
    Source As Any, _
    ByVal Length As Long)
